No puedo abrir una aplicación Java

pop
#1 por pop el 01/08/2007
Hola

Estoy intentando abrir una aplicación hecha con Java en osx 10.3.9 De dónde la bajé ponía que osx ya posee el Java Runtime Environment necesario para ejecutarla, que sólo los usuarios de pc debían instalar eso.

Actualicé el Java de mi ordenador a la última versión disponible, pero me sigue dando error al intentar abrir la aplicación. Me da el siguiente error:

The jar file "XRom.jar" couldn't be launched. Check the Console for possible error messages

Echando un vistazo a la consola se puede leer ésto:

Exception in thread "main" java.lang.UnsupportedClassVersionError: my/XRom/XRomMain (Unsupported major.minor version 49.0)

¿Alguien me puede echar una manilla para saber qué puede ocurrir o cómo solucionarlo?

A mi me suena todo eso a chino cantonés.

Muchas gracias
Subir
rafadc
#2 por rafadc el 01/08/2007
Probablemente sea Java 1.5 y lo estés lanzando con java 1.4

Apple solo proporciono hasta la version 1.4 para 10.3
Subir
pop
#3 por pop el 01/08/2007
Me cachis...

¿Entonces no hay nada que hacer?

Gracias por la ayuda.
Subir
rafadc
#4 por rafadc el 01/08/2007
Y la 1.6 solo será para Leopard y los que estemos en Tiger...

Apple es muy simpática para esas cosas. Recemos porque ahora que Java es open source aparezca una version libre...
Subir
Respuesta rápida

Regístrate o para poder postear en este hilo